<?php
/**
 @licence GPL 2005-2009  The osCSS developers - osCSS Open Source E-commerce
  @package oscss-2 <www http://www.oscss.org>
  @version Rc-3
  @date  08/04/10, 22:41
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
   @encode UTF-8
*/
header("Content-type: application/rss+xml");
$_GET['page_admin']='rss';
if (file_exists('includes/local/application_top.php')) include('includes/local/application_top.php');
else require('includes/application_top.php');

if (!isset($_GET['box'])) $_GET['box'] = "feeds";
$file = DIR_WS_INCLUDES .'rss/' . $_GET['box'] . '.php';

print '<?xml version="1.0" encoding="'. CHARSET .'"?>' . "\n";
print '<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">' . "\n";
print '  <channel>' . "\n";
print "    <title>".STORE_NAME.": ".constant('TITLE_'.strtoupper($_GET['box']))."</title>\n";

if (file_exists($file)) require($file);

print '  </channel>' . "\n";
print '  </rss>' . "\n";

?>